Skip to main content
GET
/
v2
/
{entity}
/
{project}
/
evaluations
/
{object_id}
/
versions
/
{digest}
Evaluation Read
curl --request GET \
  --url https://api.example.com/v2/{entity}/{project}/evaluations/{object_id}/versions/{digest}
import requests

url = "https://api.example.com/v2/{entity}/{project}/evaluations/{object_id}/versions/{digest}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v2/{entity}/{project}/evaluations/{object_id}/versions/{digest}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object_id": "<string>",
  "digest": "<string>",
  "version_index": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "dataset": "<string>",
  "scorers": [
    "<string>"
  ],
  "trials": 123,
  "description": "<string>",
  "evaluation_name": "<string>",
  "evaluate_op": "<string>",
  "predict_and_score_op": "<string>",
  "summarize_op": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Path Parameters

entity
string
required
project
string
required
object_id
string
required
digest
string
required

Response

Successful Response

object_id
string
required

The evaluation ID

digest
string
required

The digest of the evaluation

version_index
integer
required

The version index of the evaluation

created_at
string<date-time>
required

When the evaluation was created

name
string
required

The name of the evaluation

dataset
string
required

Dataset reference (weave:// URI)

scorers
string[]
required

List of scorer references (weave:// URIs)

trials
integer
required

Number of trials

description
string | null

A description of the evaluation

evaluation_name
string | null

Name for the evaluation run

evaluate_op
string | null

Evaluate op reference (weave:// URI)

predict_and_score_op
string | null

Predict and score op reference (weave:// URI)

summarize_op
string | null

Summarize op reference (weave:// URI)